Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614339 - gnome-activity-journal crash in open
gnome-activity-journal crash in open
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
: Reopened
: 605955 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 03:38 EDT by Sergey Raspopov
Modified: 2011-06-29 09:33 EDT (History)
18 users (show)

See Also:
Fixed In Version: gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 574207 None None None Never

  None (edit)
Description Sergey Raspopov 2010-07-14 03:38:54 EDT
gnome-activity-journal --debug
Using the "zeitgeist" module from /usr/lib/python2.6/site-packages/zeitgeist
Using the "fungtk" module from /usr/share/gnome-activity-journal/fungtk
Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 99, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 30, in <module>
    from widgets import *
  File "/usr/share/gnome-activity-journal/src/widgets.py", line 42, in <module>
    from common import shade_gdk_color, combine_gdk_color, is_command_available, \
  File "/usr/share/gnome-activity-journal/src/common.py", line 98, in <module>
    Interpretation.MUSIC.uri : 3,
  File "/usr/lib/python2.6/site-packages/zeitgeist/datamodel.py", line 185, in __getattr__
    raise AttributeError("'%s' object has no attribute '%s'" %(self.__class__.__name__, name))
AttributeError: 'Symbol' object has no attribute 'MUSIC'
Comment 1 Fedora Update System 2010-07-21 12:38:25 EDT
gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13
Comment 2 Mads Villadsen 2010-07-22 07:18:28 EDT
*** Bug 605955 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2010-07-22 22:32:31 EDT
gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-activity-journal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13
Comment 4 Sergey Raspopov 2010-07-25 06:00:51 EDT
Now everything works.
Comment 5 cje 2010-07-27 13:14:53 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
just tried to start gaj.
Comment 6 cje 2010-07-29 05:27:35 EDT
Package: gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
started gaj
Comment 7 cje 2010-07-29 05:29:30 EDT
sorry, for me gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13 crashes with:

AttributeError: 'Symbol' object has no attribute 'COMMENT'

which abrt thinks is the same error.  could this be a more general problem?
Comment 8 cje 2010-07-29 05:31:02 EDT
guess you'll want the whole traceback!

Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 99, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 30, in <module>
    from activity_widgets import MultiViewContainer, TimelineViewContainer, ThumbViewContainer, PinnedPane
  File "/usr/share/gnome-activity-journal/src/activity_widgets.py", line 34, in <module>
    from store import ContentStruct, CLIENT
  File "/usr/share/gnome-activity-journal/src/store.py", line 474, in <module>
    STORE = Store()
  File "/usr/share/gnome-activity-journal/src/store.py", line 354, in __init__
    day = Day(date)
  File "/usr/share/gnome-activity-journal/src/store.py", line 189, in __init__
    self.insert_events(None, fact.get_events())
  File "/usr/share/gnome-activity-journal/src/external.py", line 243, in get_events
    events.append(self._make_event(int(self.start_time), Interpretation.ACCESS_EVENT.uri))
  File "/usr/share/gnome-activity-journal/src/external.py", line 235, in _make_event
    subject_interpretation = Interpretation.COMMENT.uri,
  File "/usr/lib/python2.6/site-packages/zeitgeist/datamodel.py", line 185, in __getattr__
    raise AttributeError("'%s' object has no attribute '%s'" %(self.__class__.__name__, name))
AttributeError: 'Symbol' object has no attribute 'COMMENT'

:-)
Comment 9 jIoSEA3lWwiEaAVy3 2010-07-31 19:57:37 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch it!
Comment 10 DemetrisK 2010-08-01 10:25:11 EDT
Package: gnome-activity-journal-0.3.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. just installed it and tried to run it
2.
3.
Comment 11 Michael 2010-08-02 05:30:08 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
i will only start zeitgeist
Comment 12 Jovan Chekalov 2010-08-05 11:42:16 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install gnome-activity-journal
2. Start Activity Journal
3.
Comment 13 Michael 2010-08-05 12:57:01 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
i will only start zeitgeist
Comment 14 Tim Peters 2010-08-06 09:01:49 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.install gnome-activity-journal
2.run gnome-activity-journal
3.


Comment
-----
i installed gnome-activity-journal, and ran it. crashes every time
Comment 15 Joseph 2010-08-09 15:55:19 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open Activity Journal
2.
3.
Comment 16 Fabian Deutsch 2010-08-11 10:36:37 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Install g-a-j on F13
2.laun g-j-a
3.


Comment
-----
Seems to be know, version is important:
https://bugs.launchpad.net/gnome-activity-journal/+bug/574207
Comment 17 Matthias Kluge 2010-08-11 15:12:30 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Whenever I want to start gnome-activity-journal it chrashes.
Comment 18 tiagomnz 2010-08-11 16:57:22 EDT
Package: gnome-activity-journal-0.3.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.su -c 'yum install zeitgeist.noarch gnome-activity-journal.noarch'
2. Menu -> Accessories -> Active Journal
3.


Comment
-----
Install and execute, give me a error
Comment 19 Fedora Update System 2010-08-12 00:06:59 EDT
gnome-activity-journal-0.3.4.1-1.20100721bzr1010.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 GoinEasy9 2010-08-12 01:20:39 EDT
Just installed the newest version 0.3.4.1, app didn't start, immediately got Bug Notification Icon.


datamodel.py:185:__getattr__:AttributeError: 'Symbol' object has no attribute 'MUSIC'

Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 99, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 30, in <module>
    from widgets import *
  File "/usr/share/gnome-activity-journal/src/widgets.py", line 42, in <module>
    from common import shade_gdk_color, combine_gdk_color, is_command_available, \
  File "/usr/share/gnome-activity-journal/src/common.py", line 98, in <module>
    Interpretation.MUSIC.uri : 3,
  File "/usr/lib/python2.6/site-packages/zeitgeist/datamodel.py", line 185, in __getattr__
    raise AttributeError("'%s' object has no attribute '%s'" %(self.__class__.__name__, name))
AttributeError: 'Symbol' object has no attribute 'MUSIC'

Local variables in innermost frame:
self: <Interpretation 'Interpretation'>
name: 'MUSIC'
child: <EVENT 'http://www.semanticdesktop.org/ontologies/2007/04/02/ncal#Event'>
Comment 21 Laurent Aguerreche 2010-09-06 11:29:32 EDT
This bug still exists on the latest version uploaded to Fedora 13:

$ gnome-activity-journal 
Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 99, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 30, in <module>
    from activity_widgets import MultiViewContainer, TimelineViewContainer, ThumbViewContainer
  File "/usr/share/gnome-activity-journal/src/activity_widgets.py", line 35, in <module>
    from store import ContentStruct, CLIENT
  File "/usr/share/gnome-activity-journal/src/store.py", line 504, in <module>
    STORE = Store()
  File "/usr/share/gnome-activity-journal/src/store.py", line 370, in __init__
    day = Day(date, days_population)
  File "/usr/share/gnome-activity-journal/src/store.py", line 202, in __init__
    self.insert_events(None, fact.get_events())
  File "/usr/share/gnome-activity-journal/src/external.py", line 243, in get_events
    events.append(self._make_event(int(self.start_time), Interpretation.ACCESS_EVENT.uri))
  File "/usr/share/gnome-activity-journal/src/external.py", line 235, in _make_event
    subject_interpretation = Interpretation.COMMENT.uri,
  File "/usr/lib/python2.6/site-packages/zeitgeist/datamodel.py", line 185, in __getattr__
    raise AttributeError("'%s' object has no attribute '%s'" %(self.__class__.__name__, name))
AttributeError: 'Symbol' object has no attribute 'COMMENT'



The package maintainer may just need to launch GAJ to see it crashing.
Comment 22 Laurent Aguerreche 2010-09-06 11:31:10 EDT
$ rpm -qa | grep gnome-activity
gnome-activity-journal-0.5.0-1.fc13.noarch
Comment 23 Mads Villadsen 2010-09-06 13:06:01 EDT
Could you try stopping gnome-activity-journal and zeitgeist and then removing these directories:

.local/share/zeitgeist
.local/share/gnome-activity-journal

And see if the problem goes away?

I have an idea that zeitgeist and gnome-activity-journal are unable to read their old file formats.
Comment 24 Laurent Aguerreche 2010-09-06 13:18:38 EDT
I removed the two directories. Here the result:

$ zeitgeist-daemon --log-level=DEBUG
INFO:zeitgeist.sql:Using database: /local/laguerre/.local/share/zeitgeist/activity.sqlite
DEBUG:zeitgeist.sql:Schema 'core' not found: no such table: schema_version
INFO:zeitgeist.sql:Upgrading database 'core' from version 0 to 1. This may take a while
DEBUG:zeitgeist.sql:Uninitialized DB. Skipping upgrade
INFO:zeitgeist.sql:Upgrade succesful
INFO:zeitgeist.sql:Running post upgrade setup
INFO:zeitgeist.sql:DB set up in 4253.86691093ms
DEBUG:zeitgeist.extension:Searching for system extensions in: /usr/share/zeitgeist/_zeitgeist/engine/extensions
DEBUG:zeitgeist.extension:Searching for user extensions in: /local/laguerre/.local/share/zeitgeist/extensions
DEBUG:zeitgeist.extension:No extra extensions
DEBUG:zeitgeist.extension:Found extensions: [<class '_zeitgeist.engine.extensions.datasource_registry.DataSourceRegistry'>, <class '_zeitgeist.engine.extensions.blacklist.Blacklist'>, <class '_zeitgeist.engine.extensions.gnome_activity_journal.ActivityJournalExtension'>]
DEBUG:zeitgeist.extension:Loading extension 'DataSourceRegistry'
DEBUG:zeitgeist.datasource_registry:No existing data-source data found.
DEBUG:zeitgeist.extension:Loading extension 'Blacklist'
DEBUG:zeitgeist.blacklist:No existing blacklist config found
DEBUG:zeitgeist.extension:Loading extension 'ActivityJournalExtension'
DEBUG:root:Checking for another running instance...
DEBUG:root:No running instances found.
INFO:root:Starting Zeitgeist service...
DEBUG:zeitgeist.engine:Inserted 414 events in 46.493758s


And while Zeitgeist is running, I launch GAJ:

$ gnome-activity-journal --debug
Using the "zeitgeist" module from /usr/lib/python2.6/site-packages/zeitgeist
Using the "fungtk" module from /usr/share/gnome-activity-journal/fungtk
Traceback (most recent call last):
  File "/usr/bin/gnome-activity-journal", line 99, in <module>
    from src.main import PortalWindow
  File "/usr/share/gnome-activity-journal/src/main.py", line 30, in <module>
    from activity_widgets import MultiViewContainer, TimelineViewContainer, ThumbViewContainer
  File "/usr/share/gnome-activity-journal/src/activity_widgets.py", line 35, in <module>
    from store import ContentStruct, CLIENT
  File "/usr/share/gnome-activity-journal/src/store.py", line 504, in <module>
    STORE = Store()
  File "/usr/share/gnome-activity-journal/src/store.py", line 370, in __init__
    day = Day(date, days_population)
  File "/usr/share/gnome-activity-journal/src/store.py", line 202, in __init__
    self.insert_events(None, fact.get_events())
  File "/usr/share/gnome-activity-journal/src/external.py", line 243, in get_events
    events.append(self._make_event(int(self.start_time), Interpretation.ACCESS_EVENT.uri))
  File "/usr/share/gnome-activity-journal/src/external.py", line 235, in _make_event
    subject_interpretation = Interpretation.COMMENT.uri,
  File "/usr/lib/python2.6/site-packages/zeitgeist/datamodel.py", line 185, in __getattr__
    raise AttributeError("'%s' object has no attribute '%s'" %(self.__class__.__name__, name))
AttributeError: 'Symbol' object has no attribute 'COMMENT'
Comment 25 Stjepan Gros 2010-09-16 12:00:42 EDT
Package: gnome-activity-journal-0.5.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Started application from applications menu, and it crashed without showing anything.
Comment 26 Fabian Deutsch 2010-09-18 08:03:30 EDT
This seems to be fixed in F13-testing.
Comment 27 Laurent Aguerreche 2010-11-16 16:19:25 EST
My Fedora 13 is up-to-date but it still doesn't work.


The version of GAJ that I use:
$ rpm -qa | grep gnome-activity-journal
gnome-activity-journal-0.5.0-1.fc13.noarch

The errors I obtain remain the same. And I also tried after I removed the caches of Zeitgeist and GAJ.

No idea?
Comment 28 Laurent Aguerreche 2010-11-16 16:39:08 EST
The problem seems to be related with Hamster so here a workaround that desactivates this module:

1/ edit file /usr/share/gnome-activity-journal/src/external.py
2/ go to the end of the file and set HAMSTER to None. Of course, we aim to not call the constructor Hamster():

try:
    #HAMSTER = Hamster()
    HAMSTER = None
except:
    HAMSTER = None
Comment 29 Bug Zapper 2011-06-01 09:56:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2011-06-29 09:33:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.